From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/ElasticSearch/
Date: Thu, 9 May 2013 11:44:15 +0000 (UTC) [thread overview]
Message-ID: <1368093180.0b06bc5dc2fed9f3e39ec6c895a061420bf8ecf5.kent@gentoo> (raw)
commit: 0b06bc5dc2fed9f3e39ec6c895a061420bf8ecf5
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu May 9 09:53:00 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu May 9 09:53:00 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=0b06bc5d
[newversion] dev-perl/ElasticSearch-0.650.0
Package-Manager: portage-2.2.0_alpha173
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/ElasticSearch/ChangeLog | 6 +
.../ElasticSearch/ElasticSearch-0.650.0.ebuild | 103 ++++++++++++++++++++
2 files changed, 109 insertions(+), 0 deletions(-)
diff --git a/dev-perl/ElasticSearch/ChangeLog b/dev-perl/ElasticSearch/ChangeLog
index 5591e93..5a34ec8 100644
--- a/dev-perl/ElasticSearch/ChangeLog
+++ b/dev-perl/ElasticSearch/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*ElasticSearch-0.650.0 (09 May 2013)
+
+ 09 May 2013; Kent Fredric <kentfredric@gmail.com>
+ +ElasticSearch-0.650.0.ebuild:
+ Version Bump
+
26 Apr 2013; Kent Fredric <kentfredric@gmail.com>
-ElasticSearch-0.580.0.ebuild, -ElasticSearch-0.590.0.ebuild,
-ElasticSearch-0.610.0.ebuild, -ElasticSearch-0.620.0.ebuild,
diff --git a/dev-perl/ElasticSearch/ElasticSearch-0.650.0.ebuild b/dev-perl/ElasticSearch/ElasticSearch-0.650.0.ebuild
new file mode 100644
index 0000000..6a77282
--- /dev/null
+++ b/dev-perl/ElasticSearch/ElasticSearch-0.650.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=DRTECH
+MODULE_VERSION=0.65
+inherit perl-module
+
+DESCRIPTION='An API for communicating with ElasticSearch'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_build() {
+ # File::Temp 0.20 ( 0.200.0 )
+ echo \>=virtual/perl-File-Temp-0.200.0
+ # Test::More 0.96 ( 0.960.0 )
+ echo \>=virtual/perl-Test-Simple-0.96
+}
+perl_meta_runtime() {
+ # Any::URI::Escape
+ echo dev-perl/Any-URI-Escape
+ # Carp
+ echo dev-lang/perl
+ # Data::Dumper
+ echo virtual/perl-Data-Dumper
+ # ElasticSearch::SearchBuilder 0.18 ( 0.180.0 )
+ echo \>=dev-perl/ElasticSearch-SearchBuilder-0.180.0
+ # Encode
+ echo virtual/perl-Encode
+ # Exporter
+ echo virtual/perl-Exporter
+ # File::Path
+ echo virtual/perl-File-Path
+ # File::Spec::Functions
+ echo virtual/perl-File-Spec
+ # File::Temp 0.22 ( 0.220.0 )
+ echo \>=virtual/perl-File-Temp-0.220.0
+ # HTTP::Lite
+ echo dev-perl/HTTP-Lite
+ # HTTP::Request
+ echo dev-perl/HTTP-Message
+ # HTTP::Tiny
+ echo virtual/perl-HTTP-Tiny
+ # IO::Handle
+ echo virtual/perl-IO
+ # IO::Socket
+ echo virtual/perl-IO
+ # IO::Uncompress::Inflate
+ echo virtual/perl-IO-Compress
+ # JSON
+ echo dev-perl/JSON
+ # LWP::ConnCache
+ echo dev-perl/libwww-perl
+ # LWP::UserAgent
+ echo dev-perl/libwww-perl
+ # List::Util
+ echo virtual/perl-Scalar-List-Utils
+ # POSIX
+ echo dev-lang/perl
+ # Scalar::Util 1.07 ( 1.70.0 )
+ echo \>=virtual/perl-Scalar-List-Utils-1.70.0
+ # Task::Weaken
+ echo dev-perl/Task-Weaken
+ # URI
+ echo dev-perl/URI
+ # YAML
+ echo dev-perl/yaml
+ # constant
+ echo virtual/perl-constant
+ # overload
+ echo dev-lang/perl
+ # parent
+ echo virtual/perl-parent
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # ElasticSearch::SearchBuilder
+ echo dev-perl/ElasticSearch-SearchBuilder
+ # Test::Differences
+ echo dev-perl/Test-Differences
+ # Test::Exception
+ echo dev-perl/Test-Exception
+ # Test::More 0.96 ( 0.960.0 )
+ echo \>=virtual/perl-Test-Simple-0.96
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do parallel"
next reply other threads:[~2013-05-09 11:44 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-05-09 11:44 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2014-04-05 23:06 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/ElasticSearch/ Kent Fredric
2014-04-05 23:06 Kent Fredric
2013-03-02 7:02 Kent Fredric
2013-02-09 13:27 Kent Fredric
2012-11-10 15:05 Kent Fredric
2012-11-04 13:51 Kent Fredric
2012-08-23 12:35 Kent Fredric
2012-08-12 12:07 Kent Fredric
2012-08-03 3:10 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1368093180.0b06bc5dc2fed9f3e39ec6c895a061420bf8ecf5.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox